/*
 * Created on 19.12.2008
 */
package org.pfsw.extender.testhelper;

import java.math.BigDecimal;

public class SimpleCalculator implements ISimpleCalculator
{
	private BigDecimal currentValue = new BigDecimal(0) ;
	
	@Override
  public void add( BigDecimal value )
	{
		currentValue = currentValue.add( value ) ;
	}

	@Override
  public BigDecimal getCurrentValue()
	{
		return this.currentValue;
	}

	@Override
  public void reset()
	{
		this.currentValue = new BigDecimal(0) ;
	}

	@Override
  public void setCurrentValue( BigDecimal value )
	{
		this.currentValue = value ;
	}

	@Override
  public void subtract( BigDecimal value )
	{
		currentValue = currentValue.subtract( value ) ;
	}

}
